Subject: Re: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: Eli Zaretskii <[email-masked]>
Date: Thu, 13 Apr 2023 21:15:16 +0300

> From: Philip Kaludercic <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Thu, 13 Apr 2023 17:49:00 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Adding an option is fine by me, as long as its default preserves
> > previous behavior.
> >
> > Just to be sure we are on the same page: you suggest _both_ prefix
> > argument and user option, where user option could be used to avoid the
> > need for prefix argument?
> 
> I was thinking about both, but I supposed that a user option would be
> enough.

No, I think having both is better.  It is easier to say "C-u" than to
change the value of an option, so for one-off update of a single
package, the prefix argument is more convenient.

> >> No, my proposed diff changes what package decides to download (the
> >> planning phase), but doesn't touch anything after that.  The current
> >> state is that (package-install 'eglot) just prints
> >> 
> >>   ‘eglot’ is already installed
> >
> > And does nothing else?  You seem to be saying it still downloads
> > something, but what is that?
> 
> No, it just prints that message but doesn't download anything.

OK, then allowing to install such packages under the proposed changes
will improve that case as well.